Bug 479271 - kernel upgrade kill capture device
kernel upgrade kill capture device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 10:16 EST by Alexey Kuznetsov
Modified: 2009-12-18 02:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2009-01-08 10:16:04 EST
kernel upgrade kernel-2.6.27.7-134.fc10.i686 to kernel-2.6.27.9-159.fc10.i686 (and kernel-2.6.27.10-169.fc10.i686) kill capture device.

HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
HDA Intel 0000:00:1b.0: setting latency timer to 64
hda_codec: STAC922x, Apple subsys_id=106b1e00
ALSA sound/pci/hda/hda_codec.c:3303: autoconfig: line_outs=1 (0xc/0x0/0x0/0x0/0x
0)
ALSA sound/pci/hda/hda_codec.c:3307:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3311:    hp_outs=1 (0xa/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3312:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3320:    inputs: mic=0xb, fmic=0x0, line=0xf, fli
ne=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/patch_sigmatel.c:2778: dac_nids=3 (0x3/0x5/0x4/0x0/0x0)
input: HDA Intel at 0x90400000 irq 22 Line In at Ext Rear Jack as /devices/pci00
00:00/0000:00:1b.0/input/input14
input: HDA Intel at 0x90400000 irq 22 Line In at Ext Rear Jack as /devices/pci00
00:00/0000:00:1b.0/input/input15
input: HDA Intel at 0x90400000 irq 22 HP Out at Ext Rear Jack as /devices/pci000
0:00/0000:00:1b.0/input/input16

Device persist in alsa mixed with 100% volume, but i unable record sounds. Also no monitor activity for device. Only kernel-2.6.27.7-134.fc10.i686 works.
Comment 1 Alexey Kuznetsov 2009-01-09 08:45:49 EST
i check my mic again. here some details. upgrade do not kill device, and do not break capture device, but i still unable to record sounds from mic.

upgrade affect mic sensitivity and only ALOUD sounds can recognized by mic activity monitor. sounds like hard knock on mic only recorded.

my mixer show 100% volume on device, but i still can't capture speech.
Comment 2 Bug Zapper 2009-11-18 05:42:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:32:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.